require "import"
import "android.widget.*"
import "com.androlua.*"

local buttonList = {
    "Canción anterior",
    "Reproducir/Pausar",
    "Siguiente canción",
    "Subir volumen",
    "Bajar volumen",
    "Subir volumen de accesibilidad",
    "Bajar volumen de accesibilidad",
    "Cambiar voz"
}

local dlg = LuaDialog(service)
dlg.setTitle("Acciones rápidas")
dlg.setNegativeButton("Cancelar", nil)

local grid = GridView(service)
grid.setNumColumns(1)
grid.setAdapter(ArrayAdapter(service, android.R.layout.simple_list_item_1, buttonList))
dlg.setView(grid)

dlg.show()

grid.onItemClick = function(l, v, p, i)
    service.playSoundTick()

    local actions = {
        "Pista anterior",
        "Pausar la reproducción",
        "Pista siguiente",
        "Subir volumen",
        "Bajar volumen",
        "Subir el volumen de accesibilidad",
        "Bajar el volumen de accesibilidad",
        "Seleccionar sintetizador de voz"
    }

    if i == 7 then
        dlg.dismiss()
        service.execute(actions[i+1])
    else
        service.execute(actions[i+1])
    end
end

return true